Name:		jeuclid
Version:	3.1.3
Release:	6%{?dist}
Summary:	MathML rendering solution
Group:		Applications/Text
License:	ASL 2.0
URL:		http://jeuclid.sourceforge.net/index.html
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-parent-%{version}-src.zip

#removes FreeHep support as per the build README, optional feature (not upstream)
Patch1:		jeuclid-core-FreeHep.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	jpackage-utils
BuildRequires:	java-1.6.0-openjdk-devel
BuildRequires:	ant
BuildRequires:  batik
BuildRequires:	jakarta-commons-logging
BuildRequires:	jcip-annotations
BuildRequires:	xml-commons-apis
BuildRequires:	xmlgraphics-commons

Requires:	jpackage-utils
Requires:	java >= 1:1.6.0

%description
Core module containing basic JEuclid rendering and document handling classes.

%prep
%setup -q -n %{name}-parent-%{version}

#fix line endings
sed 's/\r//' NOTICE > NOTICE.unix
touch -r NOTICE NOTICE.unix;
mv NOTICE.unix NOTICE

mkdir %{name}-core/lib
build-jar-repository -s -p %{name}-core/lib jcip-annotations commons-logging xmlgraphics-commons batik-all
%patch1 -p1

find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

#removes the FreeHep support from the build per the build README
rm -f %{name}-core/src/main/java/net/sourceforge/jeuclid/converter/FreeHep*;

%build
cd %{name}-core

ant -verbose 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p %{name}-core/target/%{name}-core.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -sf %{_javadir}/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -sf %{_javadir}/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-core.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc NOTICE LICENSE.txt README.Release
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-core.jar

%changelog
* Wed Nov 26 2008 Brennan Ashton <bashton at, brennanashton.com? 3.1.3.5
- Fixed trailing white space
- Fixed patch comments
- Fixed search for jar file

* Wed Nov 26 2008 Brennan Ashton <bashton at, brennanashton.com> 3.1.3.4
- Fixed source URL
- Added verbose to ant

* Wed Nov 26 2008 Brennan Ashton <bashton at, brennanashton.com> 3.1.3-3
- Fixed end-of-line-encoding in NOTICE

* Tue Nov 25 2008 Brennan Ashton <bashton at, brennanashton.com> 3.1.3-2
- Added comments to patches
- Removed java-devel from BuildRequires for java-1.6.0-openjdk-devel
- Made arch noarch

* Mon Nov 24 2008 Brennan Ashton <bashton at, brennanashton.com> 3.1.3-1
- Created spec file
